using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Collections;
using Telerik.Web.UI;
using System.Data;
using System.Configuration;
using System.Data.OleDb;
using Telerik.Web.UI.Calendar;

public partial class _Default : System.Web.UI.Page
{
    public class NewsForSite
    {
        private string sitesTree = "string";

        public string SitesTree
        {
            get { return sitesTree; }
            set { sitesTree = value; }
        }
    }


    protected void Page_Load(object sender, EventArgs e)
    {
        RadGrid1.NeedDataSource += new GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
    }

    void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        List<NewsForSite> list = new List<NewsForSite>();
        list.Add(new NewsForSite());
        list.Add(new NewsForSite());
        list.Add(new NewsForSite());

        RadGrid1.DataSource = list;
    }
}

